POST/projects/api/v3/customitems/{customItemId}/records/bulk/delete.json

Delete many custom item records at once.

Delete several custom item records.

Path Params

  • Name
    customItemId
    Type
    integer
    required
    Description

Body Params

DeleteRequest contains the ids of the custom item fields that should be removed.

    • Name
      customItemRecordIds
      Type
      array
    • Name
      customItemRecordOptions
      Type
      object

    Responses

    • Code
      204
      Description
      204 No Content No Data
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Description
      404 Not Found No Data

    Examples

    400 Bad Request

    ErrorResponse
    {
      "errors": [
        {
          "code": "string",
          "detail": "string",
          "id": "string",
          "meta": {},
          "title": "string"
        }
      ]
    }